require 'spec_helper'

describe Holdings::Simple do
  describe '#usd_to_btc' do
    it "should move the balance to the purchased currency" do
      acc = Holdings::Simple.new(['btc_usd'], { usd: 100.0 })
      acc.usd_to_btc(100.0, 100.0)
      acc.btc_bal.should == 0.998
    end
  end

  describe '#btc_to_usd' do
    it "should move the balance to the purchased currency" do
      acc = Holdings::Simple.new(['btc_usd'], { btc: 1.0 })
      acc.btc_to_usd(100.0, 1.0)
      acc.usd_bal.should == 99.8
    end
  end

  describe '#usd_to_ltc' do
    it "should move the balance to the purchased currency" do
      acc = Holdings::Simple.new(['ltc_usd'], { usd: 100.0 })
      acc.usd_to_ltc(2.0, 100.0)
      acc.ltc_bal.should == 49.9
    end
  end

  describe '#ltc_to_usd' do
    it "should move the balance to the purchased currency" do
      acc = Holdings::Simple.new(['ltc_usd'], { ltc: 100.0 })
      acc.ltc_to_usd(2.0, 50.0)
      acc.usd_bal.should == 99.8
    end
  end

  describe '#btc_to_ltc' do
    it "should move the balance to the purchased currency" do
      acc = Holdings::Simple.new(['ltc_btc'], { btc: 1.0 })
      acc.btc_to_ltc(0.025, 1.0)
      acc.ltc_bal.should == 39.92
    end
  end

  describe '#ltc_to_btc' do
    it "should move the balance to the purchased currency" do
      acc = Holdings::Simple.new(['ltc_btc'], { ltc: 40.0 })
      acc.ltc_to_btc(0.025, 40.0)
      acc.btc_bal.should == 0.998
    end
  end

  describe '#largest_balance' do
    acc = Holdings::Simple.new(['btc_usd'], { usd: 100.0 })
    acc.largest_balance.should == 'usd'
  end

  describe '#usd_bal' do
    acc = Holdings::Simple.new(['btc_usd'], { usd: 100.0 })
    acc.usd_bal.should == 100.0
  end
end